# Variables definition
$tenant = "contoso";
$sourceSite = "/sites/department/template/";
$templateFile = "C:\path\to\file\temnplate.xml";
 
# Office 365 Login 
$webUrl = "https://{0}.sharepoint.com{1}/" -f $tenant, $sourceSite;
Write-Output $("Connecting to {0}" -f $webUrl);
Connect-PnPOnline -Url $webUrl -Credentials WCMStoredCredentials;
#use the line bellow to connect if you are using multi factor authentication  
#Connect-PnPOnline -Url $webUrl -UseWebLogin;
 
# Save Template
Write-Output "Saving PnP template";
Get-PnPProvisioningTemplate -Out $templateFile -PersistBrandingFiles -PersistPublishingFiles;

